Bug 507219 - network service indeterministically fails to bring up qeth network devices on boot
network service indeterministically fails to bring up qeth network devices on...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
s390x Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2009-06-21 14:55 EDT by Steffen Maier
Modified: 2010-12-05 01:49 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:49:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steffen Maier 2009-06-21 14:55:54 EDT
Description of problem:
There seems to be a subtle timing issue in ifup-eth which indeterministically causes some qeth based s390 network devices to not come up on boot. Apparently, LCS, CTC, and NETIUCV don't seem to have this problem.

Version-Release number of selected component (if applicable):
initscripts-8.95-1.s390x

How reproducible:
Configure a set of qeth network devices, chkconfig network on, chkconfig NetworkManager off, reboot several times and see some of the devices sometimes fail to come up on boot.

Actual results:
Example console output of a bad case:

Bringing up loopback interface:  [  OK  ]   
Bringing up interface ctc0:  [  OK  ]   
Bringing up interface eth0:  Device eth0 does not seem to be present, delaying i
nitialization.  
[FAILED]   
Bringing up interface eth1:  [  OK  ]   
Bringing up interface eth2:  [  OK  ]   
Bringing up interface eth3:  [  OK  ]   
Bringing up interface hsi0:  Device hsi0 does not seem to be present, delaying 
nitialization.  
[FAILED]   
Bringing up interface hsi1:  [  OK  ]   
Bringing up interface hsi2:  [  OK  ]   
Bringing up interface hsi3:  [  OK  ]   
Bringing up interface hsi4:  [  OK  ]   
Bringing up interface iucv0:  [  OK  ]   

Expected results:
All devices with ONBOOT=yes should come up automatically without any problems.

Additional info:
During the rewrite of linuxrc.s390, I figured that qeth based devices sometimes need a very little amount of time between being set online and the in-kernel device appearing. Seems a similar issue here, because the errors happen in /etc/sysconfig/network-scripts/ifup-eth where it checks with "ip link" for the network device:

# now check the real state
is_available ${REALDEVICE} || {
      if [ -n "$alias" ]; then
         echo $"$alias device ${DEVICE} does not seem to be present, delaying in
itialization."
      else
         echo $"Device ${DEVICE} does not seem to be present, delaying initializ
ation."
      fi
      exit 1
}

My current hack is a "udevadm trigger" in rc.local, which I guess triggers network hotplugging and thus brings up all devices finally using the network service. However, this is not a solution.

Since this works perfectly with RHEL 5, I did a diff of /etc/sysconfig/network-scripts/* between RHEL 5.2 and F11 but couldn't find any significant difference.

Can we introduce a sleep 1 for qeth network devices somewhere?
What do the others think?
Comment 1 Bill Nottingham 2009-06-22 13:12:46 EDT
Fix the kernel. When the call to 'set online' returns to userspace, the device should actually be online.
Comment 2 IBM Bug Proxy 2009-10-19 18:51:14 EDT
------- Comment From kumarr@linux.ibm.com 2009-10-19 18:45 EDT-------
Mirroring
Comment 3 Bug Zapper 2009-11-16 05:17:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-11-04 07:02:41 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-05 01:49:26 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.